/* ------------------------Général------------------------ */

* {
    padding: 0;
    margin: 0;
}

body {
    background-color: rgb(255, 237, 36);
    font-family: "Red Hat Display";
}

html {
    scroll-behavior: smooth;
}

/* ------------------------Navigation------------------------ */

nav {
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    right: 0;
    left: 0;
    padding: 25px 50px;
    border-bottom: rgb(255, 237, 36) 1px solid;
    box-shadow: 0 5px rgba(0, 0, 0, .09);
    z-index: 999;
}

nav a,
.btn {
    transition: all 300ms ease;
}

.nav-links ul{
    display: flex;
    gap: 3rem;
    list-style: none;
    font-size: 1rem;
}

nav a {
    color: white;
    text-transform: uppercase;
    text-decoration: none;
}

nav a:hover {
    color: rgb(255, 237, 36);
    text-decoration: underline;
    text-underline-offset: 0.3rem;
}

#icon-menu{
    display: none;
}

.logo {
    color: white;
    font-size: 1.4rem;
    font-weight: light;
    letter-spacing: 0.1em;
}

.logo:hover {
    cursor: default;
    color: rgb(255, 237, 36);
    transition: all 0.2s ease-out;
}

/* ------------------------Section description et photo------------------------ */

.container-description {
    margin: auto 20px;
    background-color: black;
    border-radius: 1rem;
    display: flex;
    position: relative;
    top: 105px;
    height: 550px;
    z-index: 2;
    scroll-margin-top: 150px;
}

#description {
    margin-left: 200px;
    flex: 1;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    color: white;
}

#description p {
    font-size: 1em;
    text-align: center;
    margin: 30px;
    line-height: 150%;
    width: 70%;
}

#description br {
    display: none;
}


#description h1 {
    display: flex;
    width: 650px;
    flex-direction: column;
    letter-spacing: -2px;
}

#description h1 span:first-child {
    display: flex;
    justify-content: center;
    font-family: "Croissant One";
    font-size: 3.2rem;
    color: white;
}

#description h1 span:nth-child(2) {
    font-family: "Croissant One";
    font-size: 3.2rem;
    overflow: hidden;
    color: black;
    background-color: rgb(255, 237, 36);
    padding: 0px 15px;
    border-right: 0.15em solid white;
    white-space: nowrap;
    animation: typing 2.5s steps(30),
        /*effet de taper*/
        blink-caret 0.9s step-end infinite;
    /*effet du curseur qui clignote*/
    align-self: center;
}

@keyframes typing {
    from {
        width: 0
    }

    to {
        width: 100%
    }
}

@keyframes blink-caret {
    50% {
        border-color: transparent;
    }
}

#ma-photo {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

#photo-moi {
    object-fit: cover;
    width: 400px;
    height: 400px;
    margin: 40px 200px 40px 0px;
    border-radius: 48% 52% 68% 32% / 30% 47% 53% 70%;
    border: rgb(255, 237, 36) 5px solid;

}

#photo-moi:hover {
    transition: all 0.2s ease-in-out;
}

/* ------------------------Section projet projets------------------------ */

.container-projets {
    margin: auto 20px;
    padding-bottom: 20px;
    background-color: black;
    border-radius: 1rem;
    position: relative;
    top: 130px;
    height: auto;
    z-index: 3;
    scroll-margin-top: 100px;
}

/* ------------------Titre projets------------------ */

#titre-tri-projets {
    padding-top: 70px;
    padding-bottom: 20px;
    display: flex;
}

#projets-titre h2,
h3 {
    color: white;
}

#projets-titre h2 {
    font-family: "Red Hat Display";
    margin-left: 60px;
    font-size: 3.5rem;
}

#projets-titre h3 {
    font-family: "Red Hat Display";
    font-weight: lighter;
    margin: 10px 0px 0px 60px;
}

#filtre-projets {
    display: flex;
    flex-direction: column;
    justify-content: right;
    margin: auto;
    margin-right: 60px;
}

#filtre-projets-mobile {
    display: none;
}

#titre-filtres h4{
    color: rgb(255, 236, 37);
    margin-bottom: 20px;
}

/* ------------------Grid projets------------------ */

.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    color: white;
    margin: 60px;
    grid-gap: 60px;
}

.filterDiv {
    border: 2px solid rgb(255, 237, 36);
    border-radius: 10px;
    display: flex;
    height: 100%;
    width: 100%;
}

.filterDiv strong:last-child {
    color: rgb(255, 237, 36);
}

.filterDiv:nth-child(3) .div-description-projet strong {
    color: rgb(255, 237, 36);
}

.filterDiv h3 {
    font-size: 30pt;
    font-family: "Croissant One";
    line-height: 110%;
}

.filterDiv p {
    text-align: center;
}

.div-projet-img {
    position: relative;
    margin: 30px 0px 30px 30px;
    cursor: pointer;
    line-height: 0px;
    border-radius: 3%;
}

.div-projet-img img {
    object-fit: cover;
    width: 500px;
    height: auto;
    border: 2px solid rgb(255, 237, 36);
    border-radius: 3%;
}

.container-hover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 99%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    background-color: rgb(255, 237, 36);
}

.container-hover:hover {
    cursor: pointer;
    opacity: 0.9;
    transition: 0.2s ease-in-out;
    border-radius: 3%;
}

.container-hover button {
    background-color: rgba(0, 0, 0);
    font-family: "Red Hat Display";
    font-weight: 650;
    color: rgb(255, 237, 36);
    border: 2px black solid;
    border-radius: 15px;
    width: 160px;
    height: 45px;
    cursor: pointer;
}

.btn-mobile-decouvrir{
    display: none;
}

.div-description-projet {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 30px;
    box-sizing: border-box;
}

.div-description-projet a {
    color: rgb(255, 237, 36);
}

.div-description-projet a:hover {
    color: rgb(208, 193, 29);
    transition: 0.1s ease-in-out;
}

.div-description-projet h3 {
    font-size: 25pt;
    font-family: "Red Hat Display";
}

.div-description-projet p {
    font-size: 11pt;
}

.div-logiciels h5 {
    margin-bottom: 10px;
}

.div-logiciels img {
    padding: 0px 5px;
    width: 40px;
    height: 40px;
}

/* ------------------------Section contact------------------------ */

.container-contact {
    padding-top: 35px;
    margin: 30px 20px 160px 20px;
    background-color: black;
    border-radius: 1rem;
    position: relative;
    top: 130px;
    height: 240px;
    z-index: 5;
}

#titre-contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#titre-contact h2 {
    color: white;
    font-size: 3rem;
    text-align: center;
}

#titre-contact h3 {
    color: white;
    font-size: 1.2em;
    font-weight: lighter;
    text-align: center;
}

#bloc-contact {
    margin: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    color: white;
    gap: 3em;
}

#bloc-contact h4 {
    font-size: 1.2em;
}

#bloc-localisation,
#bloc-mail {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-align: left;
    padding: 20px;
    border-radius: 40px;
    border: 2px solid rgb(0, 0, 0);
}

#bloc-localisation:hover,
#bloc-mail:hover {
    border: 2px solid rgb(255, 237, 36);
    transition: all 0.2s ease-in-out;
}

#bloc-contact a {
    text-decoration: none;
    color: white;
}

#icon-localisation,
#icon-mail {
    padding-right: 10px;
}

#icon-localisation img,
#icon-mail img {
    width: 45px;
    height: 45px;
}



/* ------------------------Boutons------------------------ */

#description-boutons {
    gap: 2rem;
    display: flex;
    justify-content: center;
}

#description-boutons img:hover {
    opacity: 0.8;
    transition: all 0.1s ease-in-out;
}

#bouton-projet,
#bouton-contact {
    font-size: 1rem;
    padding: 10px 20px 12px 25px;
    border: none;
    border-radius: 60px;
    display: flex;
    align-items: center;
}

#bouton-projet {
    background-color: rgb(255, 237, 36);
    color: black;
}

#bouton-projet img {
    width: 30px;
    height: 30px;
    padding-left: 10px;
}

#bouton-contact {
    background-color: black;
    color: rgb(255, 237, 36);
    border: white 1.5px solid;
}

#bouton-contact img {
    width: 28px;
    height: 28px;
    padding-left: 7px;
}

#bouton-projet:hover {
    background-color: rgb(224, 207, 25);
    border: rgb(224, 207, 25);
    transition: all 0.2s ease-in-out;
}

#bouton-contact:hover {
    background-color: rgb(45, 45, 45);
    transition: all 0.2s ease-out;
}

.ancre2 {
    display: block;
    position: relative;
    visibility: hidden;
    top: -250px;
}

/* ------------------Bouton tri projet------------------ */

#btn-container {
    display: flex;
    flex-direction: row;
    gap: 4em;
    border: 1px rgb(224, 207, 25) solid;
    padding: 20px;
}

.checkbox-wrapper-33 {
    --s-xsmall: 0.625em;
    --s-small: 1.2em;
    --border-width: 1px;
    --c-primary: rgb(255, 237, 36);
    --c-primary-20-percent-opacity: rgb(255 237 36 / 20%);
    --c-primary-10-percent-opacity: rgb(255, 237, 36 / 10%);
    --t-base: 0.4s;
    --t-fast: 0.2s;
    --e-in: ease-in;
    --e-out: cubic-bezier(.11, .29, .18, .98);
    color: white;
}

.checkbox-wrapper-33 .visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.checkbox-wrapper-33 .checkbox {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.checkbox-wrapper-33 .checkbox+.checkbox {
    margin-top: var(--s-small);
}

.checkbox-wrapper-33 .checkbox__symbol {
    display: inline-block;
    display: flex;
    margin-right: calc(var(--s-small) * 0.7);
    border: var(--border-width) solid var(--c-primary);
    position: relative;
    border-radius: 0.1em;
    width: 1.5em;
    height: 1.5em;
    transition: box-shadow var(--t-base) var(--e-out), background-color var(--t-base);
    box-shadow: 0 0 0 0 var(--c-primary-10-percent-opacity);
}

.checkbox-wrapper-33 .checkbox__symbol:after {
    content: "";
    position: absolute;
    top: 0.5em;
    left: 0.5em;
    width: 0.25em;
    height: 0.25em;
    background-color: var(--c-primary-20-percent-opacity);
    opacity: 0;
    border-radius: 3em;
    transform: scale(1);
    transform-origin: 50% 50%;
}

.checkbox-wrapper-33 .checkbox .icon-checkbox {
    width: 1em;
    height: 1em;
    margin: auto;
    fill: none;
    stroke-width: 3;
    stroke: currentColor;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-miterlimit: 10;
    color: var(--c-primary);
    display: inline-block;
}

.checkbox-wrapper-33 .checkbox .icon-checkbox path {
    transition: stroke-dashoffset var(--t-fast) var(--e-in);
    stroke-dasharray: 30px, 31px;
    stroke-dashoffset: 31px;
}

.checkbox-wrapper-33 .checkbox__textwrapper {
    margin: 0;
}

.checkbox-wrapper-33 .checkbox__trigger:checked+.checkbox__symbol:after {
    -webkit-animation: ripple-33 1.5s var(--e-out);
    animation: ripple-33 1.5s var(--e-out);
}

.checkbox-wrapper-33 .checkbox__trigger:checked+.checkbox__symbol .icon-checkbox path {
    transition: stroke-dashoffset var(--t-base) var(--e-out);
    stroke-dashoffset: 0px;
}

.checkbox-wrapper-33 .checkbox__trigger:focus+.checkbox__symbol {
    box-shadow: 0 0 0 0.25em var(--c-primary-20-percent-opacity);
}

@-webkit-keyframes ripple-33 {
    from {
        transform: scale(0);
        opacity: 1;
    }

    to {
        opacity: 0;
        transform: scale(20);
    }
}

@keyframes ripple-33 {
    from {
        transform: scale(0);
        opacity: 1;
    }

    to {
        opacity: 0;
        transform: scale(20);
    }
}